## javax.mail
Class NoSuchProviderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.mail.MessagingException
                  javax.mail.NoSuchProviderException

All Implemented Interfaces:
  Serializable

    public class NoSuchProviderException

extends MessagingException

This exception is thrown when Session attempts to instantiate a Provider that doesn't exist.

See Also:
  Serialized Form

Constructor Summary
`NoSuchProviderException()` Constructor.
`NoSuchProviderException(String message)` Constructor.

Method Summary

Methods inherited from class javax.mail.MessagingException
`getCause, getNextException, setNextException, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchProviderException

    public NoSuchProviderException()

  Constructor.

### NoSuchProviderException

    public NoSuchProviderException(String message)

  Constructor.

  Parameters:
    `message` - The detailed error message

Copyright © 2009 Sun Microsystems, Inc.. All Rights Reserved.